Package org.eclipse.ecf.core.sharedobject.events

## Class ContainerSharedObjectMessageReceivingEvent

- java.lang.Object
- - org.eclipse.ecf.core.sharedobject.events.ContainerSharedObjectMessageReceivingEvent

All Implemented Interfaces:
  `IContainerEvent`, `IContainerSharedObjectMessageReceivingEvent`, `Event`

    public class ContainerSharedObjectMessageReceivingEvent
    extends Object
    implements IContainerSharedObjectMessageReceivingEvent

Event class implementing `IContainerSharedObjectMessageReceivingEvent`.

### Field Summary

Fields
`protected ID` `localContainerID`
`protected Object` `message`
`protected ID` `sendingContainerID`
`protected ID` `sharedObjectID`

### Constructor Summary

Constructors
`ContainerSharedObjectMessageReceivingEvent​(ID localContainerID, ID sendingContainerID, ID sharedObjectID, Object message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ID` `getLocalContainerID()` Get ID of local discovery container (the discovery container receiving this event).
`Object` `getMessage()` Get the message being sent.
`ID` `getSendingContainerID()` Get the sending container ID for the message being sent.
`ID` `getSharedObjectID()` Get the shared object ID of the sending shared object.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sendingContainerID

    protected ID sendingContainerID

#### sharedObjectID

    protected ID sharedObjectID

#### localContainerID

    protected ID localContainerID

#### message

    protected Object message

### Constructor Detail

#### ContainerSharedObjectMessageReceivingEvent

    public ContainerSharedObjectMessageReceivingEvent​(ID localContainerID,
                                                      ID sendingContainerID,
                                                      ID sharedObjectID,
                                                      Object message)

### Method Detail

#### getMessage

    public Object getMessage()

Description copied from interface: `IContainerSharedObjectMessageReceivingEvent`
Get the message being sent. This will return the message being sent by the shared object identified by `IContainerSharedObjectMessageReceivingEvent.getSharedObjectID()`. May be `null` if null is being sent.

Specified by:
  `getMessage` in interface `IContainerSharedObjectMessageReceivingEvent`
Returns:
  Object the message being sent by the shared object identified via `IContainerSharedObjectMessageReceivingEvent.getSharedObjectID()`. May be `null`.

#### getSendingContainerID

    public ID getSendingContainerID()

Description copied from interface: `IContainerSharedObjectMessageReceivingEvent`
Get the sending container ID for the message being sent.

Specified by:
  `getSendingContainerID` in interface `IContainerSharedObjectMessageReceivingEvent`
Returns:
  ID of sending container for the message being sent. Will not be `null`.

#### getSharedObjectID

    public ID getSharedObjectID()

Description copied from interface: `IContainerSharedObjectMessageReceivingEvent`
Get the shared object ID of the sending shared object. This value will not be `null` and the ID given will be the ID of a currently active shared object existing within the enclosing container.

Specified by:
  `getSharedObjectID` in interface `IContainerSharedObjectMessageReceivingEvent`
Returns:
  ID of the shared object that is sending the message. Will not be `null`.

#### getLocalContainerID

    public ID getLocalContainerID()

Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`